<?xml version="1.0" encoding="UTF-8"?>
<!--
  Created by IntelliJ IDEA.
  User: User
  Date: 2020. 02. 22.
  Time: 11:25
-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">

<h:head>
</h:head>

<ui:composition template="/template.xhtml">


    <ui:define name="title">
        <h:outputText value="Kódtábla érték lista"></h:outputText>
    </ui:define>

    <ui:define name="body">
        <h:form id="codeTableValueList">
            <p:panel header="List">
                <p:dataTable id="datalist" value="#{codeTableValueController.items}" var="item"
                             selectionMode="single" selection="#{codeTableValueController.selected}"
                             paginator="true"
                             rowKey="#{item.id}"
                             rows="10"
                             rowsPerPageTemplate="10,20,30,40,50"
                >
                    <p:column>
                        <f:facet name="header">
                            <h:outputText value="Id"/>
                        </f:facet>
                        <h:outputText value="#{item.id}"/>
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            <h:outputText value="#{Value}"/>
                        </f:facet>
                        <h:outputText value="#{item.value}"/>
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            <h:outputText value="#{Order}"/>
                        </f:facet>
                        <h:outputText value="#{item.order}"/>
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            <h:outputText value="#{CodeTableFieldEntity}"/>
                        </f:facet>
                        <h:outputText value="#{item.codeTableFieldEntity.fieldName}"/>
                    </p:column>
                </p:dataTable>
            </p:panel>
        </h:form>

    </ui:define>
</ui:composition>

<h:body>
    
</h:body>

</html>